Projects API
Manage projects and API keys.
Create a project
http: POST /v1/projects
POST /v1/projectsjson: "name": "My Application",
{
"name": "My Application",
"platform": "node"
}Platforms: node, browser, react, next, other
List projects
http: GET /v1/projects
GET /v1/projectsGet a project
http: GET /v1/projects/:projectId
GET /v1/projects/:projectIdUpdate a project
http: PATCH /v1/projects/:projectId
PATCH /v1/projects/:projectIdjson: "name": "New Name"
{
"name": "New Name"
}Delete a project
http: DELETE /v1/projects/:projectId
DELETE /v1/projects/:projectIdAPI keys
Create an API key
http: POST /v1/projects/:projectId/api-keys
POST /v1/projects/:projectId/api-keysjson: "name": "Production key",
{
"name": "Production key",
"environment": "production"
}The response includes the secret field. This is the only time the secret is shown.
List API keys
http: GET /v1/projects/:projectId/api-keys
GET /v1/projects/:projectId/api-keysRevoke an API key
http: DELETE /v1/projects/:projectId/api-keys/:keyId
DELETE /v1/projects/:projectId/api-keys/:keyId